# GeezShade

Automated ReShade setup for FFXIV with GShade presets. Make backups before using this - no stability guarantees.

**Note: This is broken, and likely will remain broken. Use [this](https://git.n2.pm/NotNite/DeezShade) instead.**

[CLICK ME TO INSTALL IT](https://git.n2.pm/NotNite/geezshade/releases/latest).

## Why?

I felt like it.

## How?

ReShade's installer is just a weird .zip file and GShade is just reskinned ReShade with barely any new features. Almost every single shader I've tested works fine on ReShade.

Specifically, it goes through the following steps:

- Fetch information about the latest release of ReShade and GShade from [a metadata file](https://notnite.com/geezshade.json)
- Download [ReShade](https://reshade.me/#download) with full add-on support and extract it
- Download [GShade shaders](https://github.com/Mortalitas/GShade) and extract them
- Download [GShade presets](https://github.com/Mortalitas/GShade-Presets) and extract them

I am not rehosting any of the shaders or presets. The download process uses the GitHub API and the ReShade CDN. These are open to the Internet for anyone to download in two clicks - it's just been automated here.

Note that for a short period of time after releasing this, ReShade's CDN went offline and I switched to a rehost for a few hours.

## Help, something's broken

If it's with the installer - email me! `geezshade@(my username).com`

If it's with ReShade or the shaders - don't waste your time. GShade provides no guarantees their shaders will work on ReShade.

## I want to contribute

This Forgejo instance doesn't have signups enabled. Email me a patch file (see above).
